Commit 294d05e1 authored by Sam Hocevar's avatar Sam Hocevar
Browse files

* debian/control:

    + Build-depend on fixed dvb-dev packages.
parent def5f9e2
vlc (XXX) unstable; urgency=low
* debian/control:
+ Build-depend on fixed dvb-dev packages.
-- Sam Hocevar (Debian packages) <sam+deb@zoy.org> XXX
vlc (0.6.2+cvs20031030-2) unstable; urgency=low
* debian/control:
......
......@@ -2,8 +2,8 @@ Source: vlc
Section: graphics
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0), gettext, xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>= 1.2.2-3.1), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, linux-kernel-headers (>= 2.5.999-test7-bk-5), libdv2-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.5.0-3), libfreetype6-dev, libspeex-dev
Build-Conflicts: libmpeg2-dev, libmpeg2-0-dev, libmpeg2-1-dev, libmpeg2-2-dev, libmpeg2-3-dev, dvb-dev
Build-Depends: debhelper (>= 4.0), gettext, xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>= 1.2.2-3.1), libqt3-mt-dev, libqt3-compat-headers, libasound2-dev (>= 0.9.0beta10a), libarts1-dev, libmad0-dev, liblircclient-dev, liba52-0.7.4-dev, aalib1-dev, libdvbpsi2-dev, mozilla-dev, libidl0, libglib2.0-0, kdelibs4-dev, dvb-dev (>= 1.0.1-6), libdv2-dev, libxosd-dev (>= 2.2.4-1.3), svgalibg1-dev (>= 1.4.0) [i386], libogg-dev, libvorbis-dev, libwxgtk2.4-dev (>= 2.4.2.4), libdvdplay0-dev (>= 1.0.1-2), libdvdread3-dev, libslp-dev, libflac-dev (>= 1.1.0), libimlib2-dev, libmatroska-dev (>= 0.5.0-3), libfreetype6-dev, libspeex-dev
Build-Conflicts: libmpeg2-dev, libmpeg2-0-dev, libmpeg2-1-dev, libmpeg2-2-dev, libmpeg2-3-dev
Standards-Version: 3.6.1.0
Package: vlc
......
#! /bin/sh
## toolbox for the VLC media player
## $Id: toolbox,v 1.47 2003/11/01 10:07:08 sam Exp $
## $Id: toolbox,v 1.48 2003/11/04 15:26:04 sam Exp $
##
## Authors: Samuel Hocevar <sam@zoy.org>
......@@ -596,14 +596,13 @@ then
# libdvdplay0-dev (>=1.0.1-2) with libdvdplay0-dev
# libxosd-dev (>=2.2.4-1.3) with libxosd-dev
# ttf-freefonts with ttf-thryomanes
# linux-kernel-headers (>= 2.5.999-test7-bk-5) with dvb-dev
# dvb-dev (>= 1.0.1-6) with dvb-dev
# remove libwxgtk2.4-dev
# libflac-dev
# libidl0 (workaround for mozilla-dev's bad deps)
# libglib2.0-0 (workaround for mozilla-dev's bad deps)
# libmatroska-dev
# libspeex-dev
# dvb-dev (in build-conflicts)
# change Source: vlc with Source: vlc-woody
# Section: gnome with Section: graphics
# Section: kde with Section: kde
......@@ -618,7 +617,7 @@ then
-e 's/, libdvdplay0-dev[^,]*/, libdvdplay0-dev/' \
-e 's/, libxosd-dev[^,]*/, libxosd-dev/' \
-e 's/, ttf-freefonts[^,]*/, ttf-thryomanes/' \
-e 's/, linux-kernel-headers[^,]*/, dvb-dev/' \
-e 's/, dvb-dev[^,]*/, dvb-dev/' \
-e 's/, libwx[^,]*//' \
-e '/Package: wxvlc/,/^ *$/d' \
-e 's/, libflac-dev[^,]*//' \
......@@ -626,7 +625,6 @@ then
-e 's/, libglib2.0-0[^,]*//' \
-e 's/, libmatroska-dev[^,]*//' \
-e 's/, libspeex-dev[^,]*//' \
-e 's/\(Build-Conflicts: .*\), dvb-dev/\1/' \
-e 's/Source: vlc/Source: vlc-woody/' \
-e 's/Section: gnome/Section: graphics/' \
-e 's/Section: kde/Section: graphics/' \
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment